Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Classes | Namespaces | Functions
BayerAverageMap.h File Reference

Go to the source code of this file.

## Classes

class | Argus::Ext::IBayerAverageMapSettings
| Request settings used to configure Bayer average map generation. More...
class | Argus::Ext::IBayerAverageMap
| The Bayer average map provides local averages of the capture's raw pixels for a number of small rectangular regions, called bins, that are evenly distributed across the image. More...

## Namespaces

namespace | Argus
namespace | Argus::Ext

## Functions

| Argus::DEFINE_UUID (ExtensionName, EXT_BAYER_AVERAGE_MAP, 12c3de20, 64c5, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)
| The Ext::BayerAverageMap extension generates local averages of a capture's raw Bayer data for a number of small rectangles, called bins, that are evenly distributed across the image.
| Argus::Ext::DEFINE_UUID (InterfaceID, IID_BAYER_AVERAGE_MAP_SETTINGS, 12c3de21, 64c5, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)
| Argus::Ext::DEFINE_UUID (InterfaceID, IID_BAYER_AVERAGE_MAP, 12c3de22, 64c5, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)